[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TIcnsIcon.LazarusResourceTypeValid

Checks whether the specified Resource Type name is valid for the icon type.

## Declaration

Source position: graphics.pp line 1735

`public function TIcnsIcon.LazarusResourceTypeValid(`
`const ResourceType: string`
`):Boolean; override;`

## Arguments

`ResourceType` |  | Resource type name checked in the method.

## Function result

True when the uppercase value in ResourceType is 'ICNS'.